Skip to main content
GET
/
bank
/
verifications
/
{verificationId}
/
accounts
/
{accountId}
/
transactions
List bank verification account transactions
curl --request GET \
  --url https://api.example.com/bank/verifications/{verificationId}/accounts/{accountId}/transactions/ \
  --header 'Authorization: Basic <encoded-value>'
{
  "count": 123,
  "results": [
    {
      "creditor": {
        "fullName": "<string>"
      },
      "debtor": {
        "fullName": "<string>"
      },
      "transactionAmount": {
        "amount": "<string>",
        "currency": "<string>"
      },
      "bookingDate": "2023-12-25",
      "transactionDate": "2023-12-25"
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Authorizations

Authorization
string
header
required

The request must contain basic auth headers where username is API key and password is API secret.
In order for you to start using our API you will need an API key and API secret.
Both can be retrieved by contacting iDenfy's support or iDenfy's sales team.

Path Parameters

accountId
string
required
verificationId
string
required

Query Parameters

page
integer

A page number within the paginated result set.

perPage
integer

Number of results to return per page.

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"